• Cnchi Error ISO 2014.04.13


    Got the following error when installing Antergos (2014.04.13)>

      
    Starting Cnchi...  
    Using GTK v3.10.7  
    [2014-04-13 13:15:14] [cnchi.py] ERROR: No module named 'mako'  
    Traceback (most recent call last):  
    File "/usr/share/cnchi/cnchi.py", line 58, in do\_activate  
    import mainwindow  
    File "/usr/share/cnchi/src/mainwindow.py", line 49, in <module\>  
    from installation import automatic as installation\_automatic  
    File "/usr/share/cnchi/src/installation/automatic.py", line 27, in <module\>  
    from installation import process as installation\_process  
    File "/usr/share/cnchi/src/installation/process.py", line 40, in <module\>  
    from mako.template import Template  
    ImportError: No module named 'mako'  
    [2014-04-13 13:15:14] [cnchi.py] ERROR: Can't create Cnchi's main window. Exiting...  
    
    
  • Got the following error when installing Antergos (2014.04.13)>

      
    Starting Cnchi...  
    Using GTK v3.10.7  
    [2014-04-13 13:15:14] [cnchi.py] ERROR: No module named 'mako'  
    Traceback (most recent call last):  
    File "/usr/share/cnchi/cnchi.py", line 58, in do\_activate  
    import mainwindow  
    File "/usr/share/cnchi/src/mainwindow.py", line 49, in <module\>  
    from installation import automatic as installation\_automatic  
    File "/usr/share/cnchi/src/installation/automatic.py", line 27, in <module\>  
    from installation import process as installation\_process  
    File "/usr/share/cnchi/src/installation/process.py", line 40, in <module\>  
    from mako.template import Template  
    ImportError: No module named 'mako'  
    [2014-04-13 13:15:14] [cnchi.py] ERROR: Can't create Cnchi's main window. Exiting...  
    
    
  • Hi,

    Sorry about that, looks like a new dependancy didnt make it onto the iso this week. You can fix it with our testing script. Close the installer when it initially starts and then run this command in the terminal:

    wget http://antergos.info/testing.sh && chmod +x testing.sh && sudo -E ./testing.sh
    

    Let me know if everything works for you. If you do run into any issues during installation please post the contents of /tmp/cnchi.log here. Thanks

    Cheers!

  • Thank you for helping me out, next error (tried “Base” and “Openbox”):

    [2014-04-13 13:57:21] [mainwindow.py] INFO: Cnchi installer version 0.5.32  
    [2014-04-13 13:57:21] [mainwindow.py] INFO: Using '/usr/share/cnchi/data/packages.xml' file as package list  
    [2014-04-13 13:57:24] [alongside.py] WARNING: Unable to create list of partitions for alongside installation.  
    [2014-04-13 13:57:26] [timezone.py] INFO: We have connection. Let's get our timezone  
    [2014-04-13 13:57:26] [timezone.py] INFO: Timezone detected.  
    [2014-04-13 13:57:28] [check.py] INFO: We have Internet connection.  
    [2014-04-13 13:57:28] [check.py] INFO: We're connected to a power source.  
    [2014-04-13 13:57:28] [check.py] INFO: We have enough disk space.  
    [2014-04-13 13:57:28] [rank\_mirrors.py] DEBUG: Auto mirror selection has been run successfully  
    [2014-04-13 13:57:30] [location.py] INFO: locale changed to : en\_US.UTF-8  
    [2014-04-13 15:57:30] [timezone.py] INFO: location changed to : Europe/Berlin  
    [2014-04-13 15:57:30] [timezone.py] INFO: location changed to : Europe/Berlin  
    [2014-04-13 15:57:32] [keymap.py] INFO: keyboard\_layout is Germany  
    [2014-04-13 15:57:36] [desktop.py] INFO: Cnchi will install Antergos with the 'openbox' desktop  
    [2014-04-13 15:57:42] [features.py] DEBUG: Selected 'aur' feature to install  
    [2014-04-13 15:57:42] [features.py] DEBUG: Selected 'bluetooth' feature to install  
    [2014-04-13 15:57:42] [features.py] DEBUG: Selected 'cups' feature to install  
    [2014-04-13 15:57:42] [features.py] DEBUG: Selected 'fonts' feature to install  
    [2014-04-13 15:57:42] [features.py] DEBUG: Selected 'office' feature to install  
    [2014-04-13 15:57:42] [features.py] DEBUG: Selected 'visual' feature to install  
    [2014-04-13 15:57:42] [features.py] DEBUG: Selected 'firewall' feature to install  
    [2014-04-13 15:57:42] [features.py] DEBUG: Selected 'third\_party' feature to install  
    [2014-04-13 15:58:07] [advanced.py] DEBUG: In get\_changes(), added to changelist: path[/dev/sdc2] createme[No] relabel[No] fmt[Yes] mnt[swap]  
    [2014-04-13 15:58:07] [advanced.py] DEBUG: /install/boot unmounted  
    [2014-04-13 15:58:07] [advanced.py] DEBUG: In get\_changes(), added to changelist: path[/dev/sdc1] createme[No] relabel[No] fmt[Yes] mnt[/boot]  
    [2014-04-13 15:58:07] [advanced.py] DEBUG: /install unmounted  
    [2014-04-13 15:58:07] [advanced.py] DEBUG: In get\_changes(), added to changelist: path[/dev/sdc3] createme[No] relabel[No] fmt[Yes] mnt[/]  
    [2014-04-13 15:58:09] [advanced.py] INFO: Creating new swap filesystem in /dev/sdc2  
    [2014-04-13 15:58:09] [advanced.py] INFO: Setting up swapspace version 1, size = 1500156 KiB  
    LABEL=, UUID=c734d6b4-c034-4552-8e3f-47dcca8ebb79  
      
    [2014-04-13 15:58:09] [advanced.py] INFO: Creating new ext2 filesystem in /dev/sdc1  
    [2014-04-13 15:58:09] [advanced.py] INFO:   
    [2014-04-13 15:58:09] [advanced.py] INFO: Creating new ext4 filesystem in /dev/sdc3  
    [2014-04-13 15:58:13] [advanced.py] INFO:   
    [2014-04-13 15:58:13] [advanced.py] INFO: Antergos will install the bootloader of type GRUB2 in /dev/sdc  
    [2014-04-13 15:58:13] [process.py] DEBUG: Mounting partition /dev/sdc3 into /install directory  
    [2014-04-13 15:58:14] [process.py] DEBUG: Mounting partition /dev/sdc1 into /install/boot directory  
    [2014-04-13 15:58:15] [process.py] DEBUG: Selecting packages...  
    [2014-04-13 15:58:15] [process.py] ERROR: TypeError: 'Settings' object is not subscriptable. Unable to continue.  
    Traceback (most recent call last):  
    File "/usr/share/cnchi/src/installation/process.py", line 333, in run  
    self.select\_packages()  
    File "/usr/share/cnchi/src/installation/process.py", line 474, in select\_packages  
    self.create\_pacman\_conf()  
    File "/usr/share/cnchi/src/installation/process.py", line 440, in create\_pacman\_conf  
    self.create\_pacman\_conf\_file()  
    File "/usr/share/cnchi/src/installation/process.py", line 434, in create\_pacman\_conf\_file  
    template\_file\_name = os.path.join(self.settings['data'], 'pacman.tmpl')  
    TypeError: 'Settings' object is not subscriptable  
    [2014-04-13 15:58:25] [slides.py] INFO: Installing using the 'advanced' method. Please wait...  
    [2014-04-13 15:58:25] [show\_message.py] ERROR: 'Settings' object is not subscriptable.
    
  • Okay… after you run the testing script and the installer starts, go ahead and close it. Back in your terminal run this command:

    cd /usr/share/cnchi && git revert --no-edit c000c3a && sudo -E cnchi -dv
    

    That should set you up with the last known stable state of Cnchi. Let me know the result

    Cheers!

  • Posting this from Antergos/Openbox System
    Everything went fine after appling: [b:rbosnbay]sudo[/b:rbosnbay] git revert --no-edit c000c3a &&[b:rbosnbay] sudo[/b:rbosnbay] -E cnchi -dv
    Thx a lot for helping me out

    Greetings form Munich/Germany
    h00ver

  • No problem! I’m glad you were able to get it running. Welcome to Antergos

    Best Regards,
    Dustin

  • It would be really nice if you guys generated new testing ISO image so that the only installation image available to download right now wasn’t broken by default. Is it possible to put the antergos-2014.04.06-x86_64.iso image back up so people can at least install antergos?

    BTW I think the antergos pacman repository is broken right now, just a heads up!

  • Hey all,
    This solution isn’t working for me, unfortunately.
    I really wanna get up & running with Antergos, but this cnchi installer is defeating me…

    When I wget that testing.sh script, I’m met with the following;

      
    Installing missing packages...  
    :: Synchronizing package databases...  
    core 110.9 KiB 1206K/s 00:00 [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    extra 1571.5 KiB 2.22M/s 00:01 [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    community 2.1 MiB 3.16M/s 00:01 [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    antergos 159.1 KiB 472K/s 00:00 [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    multilib 115.5 KiB 1444K/s 00:00 [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    warning: grub-1:2.02.beta2-2 is up to date -- skipping  
    warning: os-prober-1.58-1 is up to date -- skipping  
    warning: f2fs-tools-1.3.0-1 is up to date -- skipping  
    warning: python-mako-0.9.1-2 is up to date -- skipping  
    error: failed to prepare transaction (could not find database)  
    Removing existing Cnchi...  
    Getting latest version of Cnchi from testing branch...  
    ./testing.sh: line 39: git: command not found  
    ./testing.sh: line 41: cd: /usr/share/cnchi: No such file or directory  
    Starting Cnchi...  
    [[email protected] ~]$ python: can't open file '/usr/share/cnchi/cnchi.py': [Errno 2] No such file or directory  
      
    
    

    It hangs at this point. If I manually create the directory, the result is the same.

    I was initially using antergos-2014.04.13, but after scouring the internet for the older image, 2014.04.06, I noticed the a new release, antergos-2014.04.14-x86_64.iso

    Unfortunately, I get the same failures with this image also. Please help me - I’ve burnt far more time than I’d normally grant a distro that fails me at this point - but I’m particularly keen to live in Antergos after hearing such good things…

    Regards,

  • @plenty

    The problem you are running into is due to pacman downloading the wrong package database from Antergos. Instead of downloading Antergos.db, it downloads Antergos.db.tar.gz. pacman then throws the “can’t find database” error when it attempts to update.

    @lots.0.logs

    Could you look into this problem or send it to someone who can? I tried to fix the problem by simply moving antergos.db.tar.gz to antergos.db and then running testing.sh, but I run into the same “Can’t find database” error.

    Here is my partial debug log.

    [2014-04-14 22:39:36] [slides.py] INFO: Installing using the 'automatic' method. Please wait...  
    [2014-04-14 22:39:36] [slides.py] INFO: Updating core database  
    [2014-04-14 22:39:36] [slides.py] INFO: Updating extra database  
    [2014-04-14 22:39:36] [slides.py] INFO: Updating community database  
    [2014-04-14 22:39:38] [slides.py] INFO: Updating antergos database  
    ...  
    [2014-04-14 22:39:40] [process.py] DEBUG: All features needed packages have been added  
    [2014-04-14 22:39:40] [process.py] DEBUG: Adding bootloader packages if needed  
    [2014-04-14 22:39:40] [process.py] DEBUG: Packages selected  
    [2014-04-14 22:39:40] [process.py] DEBUG: Installing packages...  
    [2014-04-14 22:39:40] [process.py] DEBUG: Downloading packages...  
    [2014-04-14 22:39:40] [pac.py] DEBUG: Cnchi will install a list of packages like pacman -S  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'antergos-keyring'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'antergos-mirrorlist'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'antergos-wallpapers'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'libreoffice-installer'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'lightdm-webkit-greeter'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'lightdm-webkit-theme-antergos'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'pacmanxg4'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'antergos-slim-theme'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'openbox-menu'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'zukitwo-theme-openbox'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'zukitwo-themes'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'yaourt'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'ttf-google-fonts'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'compton'  
    [2014-04-14 22:39:40] [pac.py] ERROR: Can't find a package or group called 'paranoid'  
    [2014-04-14 22:39:40] [pac.py] DEBUG: Adding alsa-utils to transaction  
    [2014-04-14 22:39:40] [pac.py] DEBUG: Adding b43-fwcutter to transaction  
    [2014-04-14 22:39:40] [pac.py] DEBUG: Adding bash to transaction  
    ...  
    2014-04-14 22:39:40] [pac.py] DEBUG: Finalize transaction...  
    [2014-04-14 22:39:40] [pac.py] ERROR: Traceback (most recent call last):  
    File "/usr/share/cnchi/src/pacman/pac.py", line 76, in finalize  
    t.prepare()  
    alpm.error: transaction preparation failed, pm\_errno 15 (could not find database), []  
      
    [2014-04-14 22:39:40] [process.py] ERROR: Can't download all necessary packages. Cnchi will continue and try again this download later.  
    [2014-04-14 22:39:40] [process.py] DEBUG: Installing packages...  
    [2014-04-14 22:39:40] [pac.py] DEBUG: Cnchi will install a list of packages like pacman -S  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'antergos-keyring'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'antergos-mirrorlist'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'antergos-wallpapers'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'libreoffice-installer'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'lightdm-webkit-greeter'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'lightdm-webkit-theme-antergos'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'pacmanxg4'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'antergos-slim-theme'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'openbox-menu'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'zukitwo-theme-openbox'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'zukitwo-themes'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'yaourt'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'ttf-google-fonts'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'compton'  
    [2014-04-14 22:39:41] [pac.py] ERROR: Can't find a package or group called 'paranoid'  
    [2014-04-14 22:39:41] [pac.py] DEBUG: Adding alsa-utils to transaction  
    ...  
    [2014-04-14 22:39:41] [pac.py] DEBUG: Finalize transaction...  
    [2014-04-14 22:39:41] [pac.py] ERROR: Traceback (most recent call last):  
    File "/usr/share/cnchi/src/pacman/pac.py", line 76, in finalize  
    t.prepare()  
    alpm.error: transaction preparation failed, pm\_errno 15 (could not find database), []  
      
    [2014-04-14 22:39:41] [process.py] ERROR: Can't install necessary packages. Cnchi can't continue.  
    [2014-04-14 22:39:41] [show\_message.py] ERROR: Can't install necessary packages. Cnchi can't continue.
    
  • Hi,

    There was an issue with our repo which has been corrected. It should work fine now. Let me know if that’s not the case. Thanks.

    Cheers!

  • Hi,
    lots.0.logs, italy_portugal - firstly, thanx for all that you do

    I have repeated the installation process - but this time I arrive at the following error;

    Can't Initialize pyalpm
    

    When I run the testing.sh script, the error is the same as before, as in;

      
    Getting latest version of Cnchi from testing branch...  
    ./testing.sh: line 39: git: command not found  
    ./testing.sh: line 41: cd: /usr/share/cnchi: No such file or directory  
    Starting Cnchi...  
    [[email protected] ~]$ python: can't open file '/usr/share/cnchi/cnchi.py': [Errno 2] No such file or directory  
    
    

    Here is my cnchi.log;

      
    [[email protected] ~]$ cd /tmp  
    [[email protected] tmp]$ cat cnchi.log  
    [2014-04-15 10:49:33] [mainwindow.py] INFO: Cnchi installer version 0.5.32  
    [2014-04-15 10:49:42] [alongside.py] WARNING: Unable to create list of partitions for alongside installation.  
    [2014-04-15 10:49:48] [timezone.py] INFO: We have connection. Let's get our timezone  
    [2014-04-15 10:49:48] [timezone.py] INFO: Timezone detected.  
    [2014-04-15 10:49:53] [check.py] INFO: We have Internet connection.  
    [2014-04-15 10:49:53] [check.py] INFO: We're connected to a power source.  
    [2014-04-15 10:49:53] [check.py] INFO: We have enough disk space.  
    [2014-04-15 10:49:57] [location.py] INFO: locale changed to : en\_GB.UTF-8  
    [2014-04-15 11:49:57] [timezone.py] INFO: location changed to : Europe/London  
    [2014-04-15 11:49:57] [timezone.py] INFO: location changed to : Europe/London  
    [2014-04-15 11:50:00] [keymap.py] INFO: keyboard\_layout is United Kingdom  
    [2014-04-15 11:50:04] [desktop.py] INFO: Cnchi will install Antergos with the 'gnome' desktop  
    [2014-04-15 11:52:03] [advanced.py] INFO: Creating new ext4 filesystem in /dev/sdc6 labeled home  
    [2014-04-15 11:52:06] [advanced.py] INFO:   
    [2014-04-15 11:52:06] [advanced.py] INFO: Creating new ext4 filesystem in /dev/sdc1 labeled root  
    [2014-04-15 11:52:08] [advanced.py] INFO:   
    [2014-04-15 11:52:08] [advanced.py] INFO: Antergos will install the bootloader of type GRUB2 in /dev/sda  
    [2014-04-15 11:52:08] [process.py] ERROR: Can't initialize pyalpm.  
    [2014-04-15 11:52:37] [slides.py] INFO: Installing using the 'advanced' method. Please wait...  
    [2014-04-15 11:52:37] [show\_message.py] ERROR: Can't initialize pyalpm.  
    [[email protected] tmp]$  
    
    

    Though the installer hasn’t barely begun, it has done enough to hose my Debian system, so I am now a linux user without a linux system!
    I installed Manjaro last night, switched to Gnome, which got me back to work, but I’m not feeling it. I want to jump into Gnome 3.12 today as it seems that Gnome 3 has finally arrived. Manjaro can’t offer me that. This is my main machine. I’ve been foolish & rash jumping in & not even testing your release in Virtualbox before risking it all, but I didn’t anticipate this. Thanx in advance for saving my ass!

  • OK, so looking at the Arch forums, jumping to Gnome 3.12 today seems a little ‘ambitious’, but I’d like to have moved in to Antergos, arranged the furniture etc, in anticipation…

  • Sorry about the trouble you’ve experienced. Try running the following command before launching the testing script:

    sudo pacman -Syy git --noconfirm
    

    Let me know the result. I will be at work most of the day but I will check in as I am able

    ps> GNOME 3.12 has been released to stable repos so you will have that if you install GNOME

    Cheers!

  • hey,
    thanx for squeezing a reply into your working day - much appreciated…

    It’s still not playing, however. I did try to to install git previously, just not with that specific command you provided. What I got was;

      
    [[email protected] ~]$ sudo pacman -Syy git --noconfirm  
    :: Synchronizing package databases...  
    core 111.9 KiB 1257K/s 00:00 [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    extra 1573.3 KiB 2.45M/s 00:01 [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    community 2.1 MiB 2.30M/s 00:01 [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    antergos 159.0 KiB 1223K/s 00:00 [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    multilib 115.3 KiB 433K/s 00:00 [\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#] 100%  
    error: failed to prepare transaction (could not find database)  
    [[email protected] ~]$   
    
    

    In desperation I dragged ‘antergos-2013.11.17-x86_64.iso’ from piratebay.
    I notice that this thread has had quite a lot of views - so for anyone else reading this, know that this pirate bay iso doesn’t work either,

  • To fix the “error: failed to prepare transaction (could not find database)” problem you need to comment the auto-select-like default mirror in the /etc/pacman.d/antergos-mirrors file “Server = [http://mirrors.antergos.com/$repo/$arch][0]”>[http://mirrors.antergos.com/$repo/$arch][1]" and explicitly uncomment one of the antergos mirrors below since their server which multiplexes servers isn’t working right now.

    We still have the libalpm problem right now too.

    [0]: <a href=
    [1]: http://mirrors.antergos.com/$repo/$arch

  • Thanx for your input, heavensrevenge…
    I followed what you said, & selecting a specific mirror did indeed reward me with some progress, until the pyalpm thing - so thanx for that.
    Will there be another image release tonight, like last night, does anyone know?

Posts 17Views 2824
Log in to reply